# $Revision: 1.23 $, $Date: 2011/10/02 19:02:43 $
Summary:	TDB - Trivial Database
Summary(pl.UTF-8):	TDB - prosta baza danych
Name:		tdb
Version:	1.2.9
Release:	3
Epoch:		2
License:	LGPL v3+
Group:		Libraries
Source0:	http://samba.org/ftp/tdb/%{name}-%{version}.tar.gz
# Source0-md5:	4d97d18bbe9040038d4e003495bb8cd1
URL:		http://tdb.samba.org/
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
Obsoletes:	tdb-extras
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
TDB is a Trivial Database. In concept, it is very much like GDBM, and
BSD's DB except that it allows multiple simultaneous writers and uses
locking internally to keep writers from trampling on each other. TDB
is also extremely small.

%description -l pl.UTF-8
TDB to Trivial Database, czyli prosta baza danych. W założeniach jest
bardzo podobna do GDBM lub DB z BSD z wyjątkiem tego, że pozwala na
zapis wielu procesom jednocześnie i używa wewnętrznie blokowania, aby
nie pozwolić piszącym na zadeptanie się nawzajem. TDB jest ponadto
ekstremalnie mała.

%package devel
Summary:	Header files for TDB library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki TDB
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	tdb-static

%description devel
Header files for TDB library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki TDB.

%package -n python-tdb
Summary:	Python bindings for TDB
Summary(pl.UTF-8):	Pythonowy interfejs do TDB
Group:		Libraries/Python
Requires:	%{name} = %{epoch}:%{version}-%{release}
%pyrequires_eq  python-libs

%description -n python-tdb
Python bindings for TDB.

%description -n python-tdb -l pl.UTF-8
Pythonowy interfejs do TDB.

%prep
%setup -q

%build
# note: configure in fact is waf call
CC="%{__cc}" \
CFLAGS="%{rpmcflags}" \
PYTHONDIR=%{py_sitedir} \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir}

%{__make} \
	V=1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%triggerpostun -p /sbin/postshell -- %{name} < 2:1.2.9-2
-rm -f %{_libdir}/libtdb.so.1
/sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc docs/README
%attr(755,root,root) %{_bindir}/tdbbackup
%attr(755,root,root) %{_bindir}/tdbdump
%attr(755,root,root) %{_bindir}/tdbrestore
%attr(755,root,root) %{_bindir}/tdbtool
%attr(755,root,root) %{_libdir}/libtdb.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtdb.so.1
%{_mandir}/man8/tdbbackup.8*
%{_mandir}/man8/tdbdump.8*
%{_mandir}/man8/tdbrestore.8*
%{_mandir}/man8/tdbtool.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtdb.so
%{_includedir}/tdb.h
%{_pkgconfigdir}/tdb.pc

%files -n python-tdb
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/tdb.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tdb.spec,v $
Revision 1.23  2011/10/02 19:02:43  glen
- epoch in deps

Revision 1.22  2011/10/01 21:30:31  glen
- epoch 2 to allow migrating from samba.spec built package

Revision 1.21  2011/01/15 07:19:08  qboosh
- cleanup

Revision 1.20  2011/01/15 07:06:41  qboosh
- spec resurrected
- updated to 1.2.9
- uses waf now - -static is gone

Revision 1.18  2010/01/07 19:12:49  arekm
- rel .3

Revision 1.17  2009/03/14 12:34:52  hawk
- release 2

Revision 1.16  2009/03/09 11:29:42  arekm
- up to 1.1.3, 20090309

Revision 1.15  2008/11/03 09:48:05  arekm
- rel 3; install symlink

Revision 1.14  2008/11/01 22:05:27  arekm
- rel 2

Revision 1.13  2008/10/16 19:07:34  sls
- removed dummy -extras definition

Revision 1.12  2008/08/18 19:14:09  arekm
- up to 1.1.2; switch to samba implementation; add python bindings

Revision 1.11  2007-12-25 22:33:25  glen
- rel 4

Revision 1.10  2007-02-12 22:09:17  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.8  2005/07/18 13:43:57  tommat
- cleanup

Revision 1.7  2004/11/19 20:35:22  qboosh
- ac/am regeneration cleanup

Revision 1.6  2004/11/19 19:01:48  qboosh
- strict internal deps

Revision 1.5  2004/11/12 09:53:53  tommat
- turned on regeneration
- BR: gdbm-devel
- added patch for tdb_store() function from project page
- added extras package for tools
- rel 3

Revision 1.4  2003/12/08 19:59:14  undefine
- BR: automake (get config.* from automake to allow build on athlon), release 2

Revision 1.3  2003/12/08 19:57:12  undefine
- fixed build on athlon

Revision 1.2  2003/09/06 13:52:17  blues
- enabled autoconf regeneration

Revision 1.1  2003/07/28 09:51:01  qboosh
- new
